summaryrefslogtreecommitdiff
path: root/network/pound/pound.SlackBuild
diff options
context:
space:
mode:
authorThales A. Tsailas <ttsailas@enforcingit.com>2010-05-11 22:55:00 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:00 +0200
commit1565510862c21b63891da958d258f1e593aa5667 (patch)
tree87d1183e240784161a0afc0e9af940b7e90bc51c /network/pound/pound.SlackBuild
parent7edc12b3babd6607640bc52a200e99deab8d219e (diff)
downloadslackbuilds-1565510862c21b63891da958d258f1e593aa5667.tar.gz
network/pound: Added to 12.1 repository
Diffstat (limited to 'network/pound/pound.SlackBuild')
-rw-r--r--network/pound/pound.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/network/pound/pound.SlackBuild b/network/pound/pound.SlackBuild
new file mode 100644
index 0000000000..3eb869c8c0
--- /dev/null
+++ b/network/pound/pound.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for Pound
+
+# Copyright 2008 Thales A. Tsailas (ttsailas@enforcingit.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pound
+VERSION=2.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+POUNDUSER=${POUNDUSER:-nobody}
+POUNDGROUP=${POUNDGROUP:-nobody}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/Pound-$VERSION.tgz
+mv Pound-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/pound \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make all
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Fix up some ownership and permissions
+chown -R root:root $PKG
+find $PKG/usr/sbin -type f -exec chmod 0755 {} \;
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README GPL.txt FAQ CHANGELOG $CWD/README.SLACKWARE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown root:root $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/var/log/pound
+touch $PKG/var/log/pound/{access,error}.log
+chown -R $POUNDUSER:$POUNDGROUP $PKG/var/log/pound
+
+mkdir -p $PKG/etc/{logrotate.d,pound,rc.d}
+cat $CWD/pound.logrotate > $PKG/etc/logrotate.d/pound.new
+cat $CWD/pound.cfg.new > $PKG/etc/pound/pound.cfg.new
+cat $CWD/rc.pound.new > $PKG/etc/rc.d/rc.pound.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz